{
  "format_version": "1.8.0",
  "render_controllers": {
    "controller.render.executioner_illager": {
      "arrays": {
        "textures": {
          "Array.skins": [
            "Texture.default",
            "Texture.base2",
            "Texture.base3",
            "Texture.base4",
            "Texture.base5",
            "Texture.base6",
            "Texture.base7",
            "Texture.base8"
          ]
        }
      },
      "geometry": "Geometry.default",
      "materials": [
        { "*": "Material.default" }
      ],
      "textures": [
        "Array.skins[query.skin_id]"
      ]
    },
    "controller.render.executioner_mask": {
      "arrays": {
        "textures": {
          "Array.mask": [ 
            "Texture.mask",
            "Texture.mask2",
            "Texture.mask3",
            "Texture.mask4",
            "Texture.mask5",
            "Texture.mask6"
          ]
        }
      },
      "geometry": "Geometry.mask",
      "materials": [
        { "*": "(query.is_baby || variable.profession_index == 0) ? Material.default : Material.mask" }
      ],
      "textures": [
        "Array.mask[query.mark_variant]"
      ]
    }
  }
}
